Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.swt.events
Interface FocusListener

All Known Implementing Classes:
  FocusAdapter

public interface FocusListener

Classes which implement this interface provide methods that deal with the events that are generated as controls gain and lose focus.

After creating an instance of a class that implements this interface it can be added to a control using the `addFocusListener` method and removed using the `removeFocusListener` method. When a control gains or loses focus, the appropriate method will be invoked.

See Also:
  `FocusAdapter`, `FocusEvent`

Method Summary
`void` `focusGained(FocusEvent event)` Sent when a control gets focus.
`void` `focusLost(FocusEvent event)` Sent when a control loses focus.

Method Detail

### focusGained

    public void focusGained(FocusEvent event)

  Sent when a control gets focus.

  Parameters:
    `event` - an event containing information about the focus change

### focusLost

    public void focusLost(FocusEvent event)

  Sent when a control loses focus.

  Parameters:
    `event` - an event containing information about the focus change

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.